groovy.ui

## Class ConsoleSupport

- java.lang.Object
- - groovy.ui.ConsoleSupport

    public abstract class ConsoleSupport
    extends java.lang.Object

Base class for console

Author:
  James Strachan

### Constructor Summary

Constructors
Constructor and Description
`ConsoleSupport()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected void` `addStylesToDocument(javax.swing.JTextPane outputArea)`
`protected java.lang.Object` `evaluate(java.lang.String text)`
`javax.swing.text.Style` `getCommandStyle()`
`javax.swing.text.Style` `getOutputStyle()`
`javax.swing.text.Style` `getPromptStyle()`
`GroovyShell` `getShell()`
`protected abstract void` `handleException(java.lang.String text, java.lang.Exception e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConsoleSupport

    public ConsoleSupport()

### Method Detail

#### addStylesToDocument

    protected void addStylesToDocument(javax.swing.JTextPane outputArea)

#### getCommandStyle

    public javax.swing.text.Style getCommandStyle()

#### getOutputStyle

    public javax.swing.text.Style getOutputStyle()

#### getPromptStyle

    public javax.swing.text.Style getPromptStyle()

#### getShell

    public GroovyShell getShell()

#### evaluate

    protected java.lang.Object evaluate(java.lang.String text)

#### handleException

    protected abstract void handleException(java.lang.String text,
                                            java.lang.Exception e)